> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles



## OpenAPI

````yaml /openapi.json get /roles
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /roles:
    get:
      tags:
        - Roles & Teams
      summary: List Roles
      operationId: list_roles_roles_get
      parameters:
        - name: include_inactive
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Inactive
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoleResponse'
                title: Response List Roles Roles Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    RoleResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        display_name:
          type: string
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        customer_scope:
          type: string
          title: Customer Scope
        customer_access:
          type: string
          title: Customer Access
        customer_view_scope:
          type: string
          title: Customer View Scope
        customer_edit_scope:
          type: string
          title: Customer Edit Scope
        pii_email:
          type: string
          title: Pii Email
        pii_phone:
          type: string
          title: Pii Phone
        can_export_pii:
          type: boolean
          title: Can Export Pii
        level:
          type: integer
          title: Level
        is_system:
          type: boolean
          title: Is System
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - display_name
        - description
        - customer_scope
        - customer_access
        - customer_view_scope
        - customer_edit_scope
        - pii_email
        - pii_phone
        - can_export_pii
        - level
        - is_system
        - is_active
        - created_at
        - updated_at
      title: RoleResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````